Bug 1019267 - Incorrect PicketLink dependencies in the jboss-javaee-6.0-with-security BOM
Incorrect PicketLink dependencies in the jboss-javaee-6.0-with-security BOM
Status: CLOSED CURRENTRELEASE
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Build (Show other bugs)
6.2.0
Unspecified Unspecified
unspecified Severity medium
: ER6
: EAP 6.2.0
Assigned To: Vladimir Dosoudil
Pavel Jelinek
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-15 07:47 EDT by Nikoleta Ziakova
Modified: 2013-12-15 11:21 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-12-15 11:21:07 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Nikoleta Ziakova 2013-10-15 07:47:16 EDT
Incorrect dependencies in jboss-javaee-6.0-with-security BOM:

            <!-- PicketLink Dependencies -->
            <dependency>
                <groupId>org.picketlink</groupId>
                <artifactId>picketlink-api</artifactId>
                <version>${version.org.picketlink}</version>
            </dependency>
            
            <dependency>
                <groupId>org.picketlink</groupId>
                <artifactId>picketlink-impl</artifactId>
                <version>${version.org.picketlink}</version>
            </dependency>
            
            <dependency>
                <groupId>org.picketlink</groupId>
                <artifactId>picketlink-idm-api</artifactId>
                <version>${version.org.picketlink}</version>
            </dependency>
            
            <dependency>
                <groupId>org.picketlink</groupId>
                <artifactId>picketlink-idm-impl</artifactId>
                <version>${version.org.picketlink}</version>
            </dependency>
            
            <dependency>
                <groupId>org.picketlink</groupId>
                <artifactId>picketlink-idm-simple-schema</artifactId>
                <version>${version.org.picketlink}</version>
            </dependency>

Correct dependencies are defined in the eap6-supported-artifacts BOM:

      <dependency>
        <groupId>org.picketlink</groupId>
        <artifactId>picketlink-core</artifactId>
        <version>2.1.6.3.Final-redhat-2</version>
      </dependency>
      <dependency>
        <groupId>org.picketlink.distribution</groupId>
        <artifactId>picketlink-jbas7</artifactId>
        <version>2.1.6.3.Final-redhat-2</version>
      </dependency>

Please synchronize the jboss-javaee-6.0-with-security BOM with the eap6-supported-artifacts BOM.
Comment 1 Vladimir Dosoudil 2013-10-15 08:00:59 EDT
PR: https://github.com/jboss-developer/jboss-eap-boms/pull/44
Comment 2 Peter Skopek 2013-10-15 08:06:23 EDT
dev-acking this as this isssue was discussed with productization and QE
Comment 3 Rafael Benevides 2013-10-15 11:29:00 EDT
Should this PR applied to master, also ?

(In reply to Vladimir Dosoudil from comment #1)
> PR: https://github.com/jboss-developer/jboss-eap-boms/pull/44
Comment 5 Nikoleta Ziakova 2013-10-17 06:39:14 EDT
Verified for EAP 6.2.0 ER6.

Note You need to log in before you can comment on or make changes to this bug.